com.sun.jna.platform.unix.aix

## Class Perfstat.perfstat_cpu_total_t

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.aix.Perfstat.perfstat_cpu_total_t

- Enclosing interface:
    Perfstat

      @Structure.FieldOrder(value={"ncpus","ncpus_cfg","description","processorHZ","user","sys","idle","wait","pswitch","syscall","sysread","syswrite","sysfork","sysexec","readch","writech","devintrs","softintrs","lbolt","loadavg","runque","swpque","bread","bwrite","lread","lwrite","phread","phwrite","runocc","swpocc","iget","namei","dirblk","msg","sema","rcvint","xmtint","mdmint","tty_rawinch","tty_caninch","tty_rawoutch","ksched","koverf","kexit","rbread","rcread","rbwrt","rcwrt","traps","ncpus_high","puser","psys","pidle","pwait","decrintrs","mpcrintrs","mpcsintrs","phantintrs","idle_donated_purr","idle_donated_spurr","busy_donated_purr","busy_donated_spurr","idle_stolen_purr","idle_stolen_spurr","busy_stolen_purr","busy_stolen_spurr","iowait","physio","twait","hpi","hpit","puser_spurr","psys_spurr","pidle_spurr","pwait_spurr","spurrflag","version","tb_last","purr_coalescing","spurr_coalescing"})
      public static class Perfstat.perfstat_cpu_total_t
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `bread`
    `long` | `busy_donated_purr`
    `long` | `busy_donated_spurr`
    `long` | `busy_stolen_purr`
    `long` | `busy_stolen_spurr`
    `long` | `bwrite`
    `long` | `decrintrs`
    `byte[]` | `description`
    `long` | `devintrs`
    `long` | `dirblk`
    `long` | `hpi`
    `long` | `hpit`
    `long` | `idle`
    `long` | `idle_donated_purr`
    `long` | `idle_donated_spurr`
    `long` | `idle_stolen_purr`
    `long` | `idle_stolen_spurr`
    `long` | `iget`
    `short` | `iowait`
    `long` | `kexit`
    `long` | `koverf`
    `long` | `ksched`
    `NativeLong` | `lbolt`
    `long[]` | `loadavg`
    `long` | `lread`
    `long` | `lwrite`
    `long` | `mdmint`
    `long` | `mpcrintrs`
    `long` | `mpcsintrs`
    `long` | `msg`
    `long` | `namei`
    `int` | `ncpus`
    `int` | `ncpus_cfg`
    `int` | `ncpus_high`
    `long` | `phantintrs`
    `long` | `phread`
    `long` | `phwrite`
    `short` | `physio`
    `long` | `pidle`
    `long` | `pidle_spurr`
    `long` | `processorHZ`
    `long` | `pswitch`
    `long` | `psys`
    `long` | `psys_spurr`
    `long` | `purr_coalescing`
    `long` | `puser`
    `long` | `puser_spurr`
    `long` | `pwait`
    `long` | `pwait_spurr`
    `long` | `rbread`
    `long` | `rbwrt`
    `long` | `rcread`
    `long` | `rcvint`
    `long` | `rcwrt`
    `long` | `readch`
    `long` | `runocc`
    `long` | `runque`
    `long` | `sema`
    `long` | `softintrs`
    `long` | `spurr_coalescing`
    `int` | `spurrflag`
    `long` | `swpocc`
    `long` | `swpque`
    `long` | `sys`
    `long` | `syscall`
    `long` | `sysexec`
    `long` | `sysfork`
    `long` | `sysread`
    `long` | `syswrite`
    `long` | `tb_last`
    `long` | `traps`
    `long` | `tty_caninch`
    `long` | `tty_rawinch`
    `long` | `tty_rawoutch`
    `long` | `twait`
    `long` | `user`
    `long` | `version`
    `long` | `wait`
    `long` | `writech`
    `long` | `xmtint`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `perfstat_cpu_total_t()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ncpus

          public int ncpus

    - #### ncpus_cfg

          public int ncpus_cfg

    - #### description

          public byte[] description

    - #### processorHZ

          public long processorHZ

    - #### user

          public long user

    - #### sys

          public long sys

    - #### idle

          public long idle

    - #### wait

          public long wait

    - #### pswitch

          public long pswitch

    - #### syscall

          public long syscall

    - #### sysread

          public long sysread

    - #### syswrite

          public long syswrite

    - #### sysfork

          public long sysfork

    - #### sysexec

          public long sysexec

    - #### readch

          public long readch

    - #### writech

          public long writech

    - #### devintrs

          public long devintrs

    - #### softintrs

          public long softintrs

    - #### lbolt

          public NativeLong lbolt

    - #### loadavg

          public long[] loadavg

    - #### runque

          public long runque

    - #### swpque

          public long swpque

    - #### bread

          public long bread

    - #### bwrite

          public long bwrite

    - #### lread

          public long lread

    - #### lwrite

          public long lwrite

    - #### phread

          public long phread

    - #### phwrite

          public long phwrite

    - #### runocc

          public long runocc

    - #### swpocc

          public long swpocc

    - #### iget

          public long iget

    - #### namei

          public long namei

    - #### dirblk

          public long dirblk

    - #### msg

          public long msg

    - #### sema

          public long sema

    - #### rcvint

          public long rcvint

    - #### xmtint

          public long xmtint

    - #### mdmint

          public long mdmint

    - #### tty_rawinch

          public long tty_rawinch

    - #### tty_caninch

          public long tty_caninch

    - #### tty_rawoutch

          public long tty_rawoutch

    - #### ksched

          public long ksched

    - #### koverf

          public long koverf

    - #### kexit

          public long kexit

    - #### rbread

          public long rbread

    - #### rcread

          public long rcread

    - #### rbwrt

          public long rbwrt

    - #### rcwrt

          public long rcwrt

    - #### traps

          public long traps

    - #### ncpus_high

          public int ncpus_high

    - #### puser

          public long puser

    - #### psys

          public long psys

    - #### pidle

          public long pidle

    - #### pwait

          public long pwait

    - #### decrintrs

          public long decrintrs

    - #### mpcrintrs

          public long mpcrintrs

    - #### mpcsintrs

          public long mpcsintrs

    - #### phantintrs

          public long phantintrs

    - #### idle_donated_purr

          public long idle_donated_purr

    - #### idle_donated_spurr

          public long idle_donated_spurr

    - #### busy_donated_purr

          public long busy_donated_purr

    - #### busy_donated_spurr

          public long busy_donated_spurr

    - #### idle_stolen_purr

          public long idle_stolen_purr

    - #### idle_stolen_spurr

          public long idle_stolen_spurr

    - #### busy_stolen_purr

          public long busy_stolen_purr

    - #### busy_stolen_spurr

          public long busy_stolen_spurr

    - #### iowait

          public short iowait

    - #### physio

          public short physio

    - #### twait

          public long twait

    - #### hpi

          public long hpi

    - #### hpit

          public long hpit

    - #### puser_spurr

          public long puser_spurr

    - #### psys_spurr

          public long psys_spurr

    - #### pidle_spurr

          public long pidle_spurr

    - #### pwait_spurr

          public long pwait_spurr

    - #### spurrflag

          public int spurrflag

    - #### version

          public long version

    - #### tb_last

          public long tb_last

    - #### purr_coalescing

          public long purr_coalescing

    - #### spurr_coalescing

          public long spurr_coalescing

  - ### Constructor Detail

    - #### perfstat_cpu_total_t

          public perfstat_cpu_total_t()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.